Skip to main content
GET
List transactions for a customer virtual account

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

customerId
string<uuid>
required
virtualAccountId
string<uuid>
required

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
cursor
string

Last event id from the previous page — returns the next page ordered newest-to-oldest.

eventType
enum<string>
Available options:
funds_received,
payment_submitted,
payment_processed,
in_review,
refund,
refund_in_flight,
refund_failed,
microdeposit,
account_update,
deactivation,
activation

Response

Activity for this Bridge virtual account

data
object[]
required
count
integer
required

Total number of activity events.

hasMore
boolean
required

True when a full page was returned — pass the last item's id as cursor to fetch the next page.

nextCursor
string | null

Opaque cursor for the next page. null when the current page is the last.